Subject: [bug#31934] [PATCH] services: sound: Properly handle alsa-plugins.

From: Marius Bakke <[email-masked]>
Date: Tue, 26 Jun 2018 14:59:24 +0200

[email-masked] (宋文武) writes:

> Marius Bakke <[email-masked]> writes:
>
>> [email-masked] (宋文武) writes:
>>
>>> Julien Lepiller <[email-masked]> writes:
>>>
>>>> Le 2018-06-25 17:34, [email-masked] a écrit :
>>>>> Oleg Pykhalov <[email-masked]> writes:
>>>>>
>>>>>> Hello,
>>>>>>
>>>>>> [email-masked] (宋文武) writes:
>>>>>>
>>>>>>> Julien Lepiller <[email-masked]> writes:
>>>>>>
>>>>>> […]
>>>>>>
>>>>>>> Hello, after some hours of searching...  I found that we can use the
>>>>>>> 'lib' option in 'pcm_type' and 'ctl_type' to specify the library path
>>>>>>> for alsa plugins, e.g:
>>>>>>
>>>>>> Thats a nice hack :-)  Thank you for working on this.
>>>>>>
>>>>>> […]
>>>>>>
>>>>>>> So I think we can make our 'alsa-service' do this, instead of
>>>>>>> patching
>>>>>>> alsa-lib for 'ALSA_PLUGIN_DIR'.
>>>>>>
>>>>>> Done.  Here is a patch which I tested on my machine by ‘system
>>>>>> reconfigure’:
>>>>>>
>>>>>
>>>>> Thank you, I modified it to keep the 'pulseaudio? #f' function, and
>>>>> pushed :-)
>>>>
>>>> So maybe we can drop our ALSA_PLUGIN_DIR patch now?
>>>
>>> Yes, I think so.  @Ricardo, should we do it in core-updates?
>>
>> If you're quick, you can do it on 'staging' which I'll attempt to
>> re-start during today.
>
> Done, thanks!

Thanks!  I've spun the Hydra lucky wheel:

https://hydra.gnu.org/jobset/gnu/staging

If we won, the new build jobs will start in about 8 hours.